#ifndef __AMSCPPNARRAY_BINRW_HPP__
#define __AMSCPPNARRAY_BINRW_HPP__

namespace ams
{
namespace narray
{

//binary array read/write operations

template<typename T> int fwrite_ndarray(FILE *fp, narray<T> *data, narray<int32_t> *shape);

template<typename T> int fread_ndarray(FILE *fp, narray<T> *data, narray<int32_t> *shape);


};
};

#include <amscppnarray/amscppnarray_binrwimpl.hpp>

#endif